Resent-Date: Sun, 15 Nov 1998 00:40:33 +0100 (MET)
Date: Sat, 14 Nov 1998 17:41:04 -0600
From: Chris Lawrence <quango@watervalley.net>
To: Linux/m68k Mailing List <linux-m68k@lists.linux-m68k.org>
Cc: Jes Degn Srensen <jds@kom.auc.dk>
Subject: 2.1.127 MOVE16 patch
Mail-Followup-To: Linux/m68k Mailing List <linux-m68k@lists.linux-m68k.org>,	Jes Degn Srensen <jds@kom.auc.dk>
Organization: Kathie Lee's Sweatshops
X-Operating-System: Linux/m68k 2.1.127
Resent-From: linux-m68k@phil.uni-sb.de

This patch enables MOVE16 support if your kernel is only compiled for
a 68040 or 68060 or both (before you could have it with 040 only or
060 only, but couldn't have it with 040+060 only).

--- clean-linux-2.1.127/arch/m68k/config.in	Thu Nov 12 19:20:56 1998
+++ linux-2.1.127/arch/m68k/config.in	Sat Nov 14 14:16:24 1998
@@ -54,6 +54,7 @@
 bool '68040 support' CONFIG_M68040
 bool '68060 support' CONFIG_M68060
 if [ "$CONFIG_M68020" = "n" -a "$CONFIG_M68030" = "n" ]; then
+  define_bool CONFIG_68040_68060_MOVE16 y
   if [ "$CONFIG_M68040" = "y" -a "$CONFIG_M68060" = "n" ]; then
     bool 'Use 68040 specific optimizations' CONFIG_OPTIMIZE_040
   fi
diff --exclude=*~ -u clean-linux-2.1.127/include/asm-m68k/page.h linux-2.1.127/include/asm-m68k/page.h
--- clean-linux-2.1.127/include/asm-m68k/page.h	Mon May 11 04:42:46 1998
+++ linux-2.1.127/include/asm-m68k/page.h	Sat Nov 14 14:17:06 1998
@@ -18,7 +18,7 @@
 /*
  * We don't need to check for alignment etc.
  */
-#if defined(CONFIG_OPTIMIZE_040) || defined(CONFIG_OPTIMIZE_060)
+#if defined(CONFIG_68040_68060_MOVE16)
 static inline void copy_page(unsigned long to, unsigned long from)
 {
   unsigned long tmp;
diff --exclude=*~ -u clean-linux-2.1.127/include/asm-m68k/string.h linux-2.1.127/include/asm-m68k/string.h
--- clean-linux-2.1.127/include/asm-m68k/string.h	Sat Nov 14 14:12:16 1998
+++ linux-2.1.127/include/asm-m68k/string.h	Sat Nov 14 14:19:22 1998
@@ -315,7 +315,7 @@
   data = c | (c << 8);
   data |= data << 16;
 
-#if defined(CONFIG_OPTIMIZE_040) || defined(CONFIG_OPTIMIZE_060)
+#if defined(CONFIG_68040_68060_MOVE16)
 
   if (((unsigned long) s) & 0x0f)
 	  memset(s, c, count);
@@ -386,7 +386,7 @@
   unsigned long tmp;
   void *xto = to;
 
-#if defined(CONFIG_OPTIMIZE_040) || defined(CONFIG_OPTIMIZE_060)
+#if defined(CONFIG_68040_68060_MOVE16)
 
   if (((unsigned long) to | (unsigned long) from) & 0x0f)
 	  return memcpy(to, from, count);



Chris
-- 
=============================================================================
|         Chris Lawrence         |               My home page:              |
|    <quango@watervalley.net>    |    http://www.clark.net/pub/lawrencc/    |
|                                |                                          |
|    Grad Student, Pol. Sci.     |       Visit the Amiga Web Directory      |
|   University of Mississippi    |      http://www.cucug.org/amiga.html     |
=============================================================================

